| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_lns_s Struct Reference
Location and Navigation Service

Location and Navigation Service structure. This structure contains various status information for the service. More...

`#include <ble_lns.h>`

## Data Fields
ble_lns_evt_handler_t | evt_handler
ble_srv_error_handler_t | error_handler
bool | is_navigation_present
uint16_t | conn_handle
uint16_t | service_handle
ble_gatts_char_handles_t | loc_speed_handles
ble_gatts_char_handles_t | feature_handles
ble_gatts_char_handles_t | navigation_handles
ble_gatts_char_handles_t | pos_qual_handles
ble_gatts_char_handles_t | ctrlpt_handles
uint32_t | available_features
bool | is_loc_speed_notification_enabled
bool | is_nav_notification_enabled
notification_t | pending_loc_speed_notifications [2]
notification_t | pending_navigation_notification
ble_lns_loc_speed_t * | p_location_speed
ble_lns_pos_quality_t * | p_position_quality
ble_lns_navigation_t * | p_navigation
ble_lncp_t | ctrl_pt

## Detailed Description

Location and Navigation Service structure. This structure contains various status information for the service.

## Field Documentation

uint32_t ble_lns_s::available_features

Value of Location and Navigation feature.

uint16_t ble_lns_s::conn_handle

Handle of the current connection (as provided by the BLE stack; BLE_CONN_HANDLE_INVALID if not in a connection).

ble_srv_error_handler_t ble_lns_s::error_handler

Error handler.

ble_lns_evt_handler_t ble_lns_s::evt_handler

Event handler to be called for handling events in the Location and Navigation Service.

ble_gatts_char_handles_t ble_lns_s::feature_handles

Handles related to the Location and Navigation Feature characteristic.

bool ble_lns_s::is_loc_speed_notification_enabled

True if notification is enabled on the Location and Speed characteristic.

bool ble_lns_s::is_nav_notification_enabled

True if notification is enabled on the Navigation characteristic.

bool ble_lns_s::is_navigation_present

If set to true, the navigation characteristic is present. Else not.

ble_gatts_char_handles_t ble_lns_s::loc_speed_handles

Handles related to the Location and Speed characteristic.

ble_gatts_char_handles_t ble_lns_s::navigation_handles

Handles related to the Navigation characteristic.

ble_lns_loc_speed_t* ble_lns_s::p_location_speed

Location and Speed.

ble_lns_navigation_t* ble_lns_s::p_navigation

Navigation data structure.

ble_lns_pos_quality_t* ble_lns_s::p_position_quality

Position measurement quality.

notification_t ble_lns_s::pending_loc_speed_notifications[2]

This buffer holds location and speed notifications.

notification_t ble_lns_s::pending_navigation_notification

This buffer holds navigation notifications.

ble_gatts_char_handles_t ble_lns_s::pos_qual_handles

Handles related to the Position Quality characteristic.

uint16_t ble_lns_s::service_handle

Handle of Location and Navigation Service (as provided by the BLE stack).